org.codehaus.groovy.util

## Class ComplexKeyHashMap.Entry

- java.lang.Object
- - org.codehaus.groovy.util.ComplexKeyHashMap.Entry

Direct Known Subclasses:
  DoubleKeyHashMap.Entry, SingleKeyHashMap.Entry, TripleKeyHashMap.Entry

Enclosing class:
  ComplexKeyHashMap

    public static class ComplexKeyHashMap.Entry
    extends java.lang.Object

### Field Summary

Fields
`int` `hash`
`ComplexKeyHashMap.Entry` `next`
`java.lang.Object` `value`

### Constructor Summary

Constructors
Constructor and Description
`ComplexKeyHashMap.Entry()`

### Method Summary

Methods
`java.lang.Object` `getValue()`
`void` `setValue(java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hash

    public int hash

#### next

    public ComplexKeyHashMap.Entry next

#### value

    public java.lang.Object value

### Constructor Detail

#### ComplexKeyHashMap.Entry

    public ComplexKeyHashMap.Entry()

### Method Detail

#### getValue

    public java.lang.Object getValue()

#### setValue

    public void setValue(java.lang.Object value)